List Pickups

Retrieves a list of pickups. ## Examples You can filter the list to return pickup objects specific to a list of requested pickup or order IDs. This is achieved by appending the query string `?order_id:in=100,103,202` or `pickup_id:in=1,4` to the resource `/orders/pickups`. ```http GET /orders/pickups?order_id:in=100,300,500 ``` or ```http GET /orders/pickups?pickup_id:in=7,13,17 ```

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Query parameters

order_id:inlongOptional
Comma separated list of order IDs.
pickup_id:inlongOptional
Comma separated list of pickup IDs.

Response

The request has been processed and a list of pickups has been returned successfully.
datalist of objects